> ## Name

> tex2DMSARRAYsize - returns the size of a given multisample texture image for a given level of detail.

> ## Synopsis

>     int3 tex2DMSARRAYsize(sampler2DMSARRAY samp)
>     int3 tex2DMSARRAYsize(isampler2DMSARRAY samp)
>     int3 tex2DMSARRAYsize(usampler2DMSARRAY samp)

> ## Parameters

> samp
>   Sampler to be queried for size.

> ## Description

> Given a sampler the size of the corresponding texture image is returned as the result of the operation.

> ## Profile Support

> tex2DMSARRAYsize is only supported in gp5 and newer profiles.

> glsl profile support requires ARB_texture_multisample extension or OpenGL 3.2

> ## See Also

>       http://www.opengl.org/registry/specs/ARB/texture_multisample.txt

> tex2Dsize, tex2DMSARRAYfetch